import os

# مسیر دایرکتوری که فولدرها در آن قرار دارند
directory_path = r'/home/mihanbaz/public_html/bots/data'
     


# ایجاد یا باز کردن فایل user.txt برای نوشتن
with open('data/user2.txt', 'w') as user_file:
    # پیمایش در تمام فولدرها
    for folder_name in os.listdir(directory_path):
        folder_path = os.path.join(directory_path, folder_name)
        
        # بررسی اینکه آیا این یک فولدر است
        if os.path.isdir(folder_path):
            coin_file_path = os.path.join(folder_path, 'coin.txt')
            
            # بررسی وجود فایل coin.txt
            if os.path.isfile(coin_file_path):
                # خواندن محتویات coin.txt
                with open(coin_file_path, 'r') as coin_file:
                    try:
                        # تبدیل محتویات به عدد
                        coin_value = int(coin_file.read().strip())
                        
                        # اگر مقدار 0 باشد، یک بار نام فولدر را بنویسید
                        if coin_value == 0:
                            user_file.write(folder_name + '\n')
                        else:
                            # نوشتن نام فولدر به تعداد عدد موجود در coin.txt
                            for _ in range(coin_value):
                                user_file.write(folder_name + '\n')
                    except ValueError:
                        print(f"محتویات {coin_file_path} عدد نیست.")

